#include <bits/stdc++.h>
using namespace std;
int main()
{
    cin.tie(0);
    ios_base::sync_with_stdio(0);
    string s;
    cin>>s;
    long long n=s.size();
    vector < long long > mas(n+100);
    mas[0]=0;


    char w='z'+1;
    s=w+s;


    for(long long i=1;i<=n;i++)
    {
        mas[i]=mas[i-1]+(s[i-1]>s[i]);
    }

    long long q,l,r;
    cin>>q;
    for(long long i=0;i<q;i++)
    {
        cin>>l>>r;
        long long res=mas[r]-mas[l-1];
        if(s[l]>=s[l-1])
        {
            res++;
        }
        cout<<res<<"\n";
    }
    return 0;
}
